Bug 1123602 - [abrt] gvfs: copy_tree_to_builder(): gvfsd-metadata killed by SIGSEGV
Summary: [abrt] gvfs: copy_tree_to_builder(): gvfsd-metadata killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 699109
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:36e6e49c7e665948ec78e2a31e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 05:55 UTC by PDS
Modified: 2015-02-18 15:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 14:20:09 UTC


Attachments (Terms of Use)
File: backtrace (22.65 KB, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: core_backtrace (4.86 KB, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: dso_list (2.47 KB, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: environ (910 bytes, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: maps (12.33 KB, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: open_fds (359 bytes, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details
File: var_log_messages (371 bytes, text/plain)
2014-07-27 05:55 UTC, PDS
no flags Details

Description PDS 2014-07-27 05:55:30 UTC
Description of problem:
I open gnome-music and when he crash I received this bug.

Version-Release number of selected component:
gvfs-1.21.4-1.fc22

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-metadata
crash_function: copy_tree_to_builder
executable:     /usr/libexec/gvfsd-metadata
kernel:         3.16.0-0.rc6.git2.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 copy_tree_to_builder
 #1 meta_tree_flush_locked
 #2 meta_tree_flush
 #3 writeout_timeout
 #6 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0

Comment 1 PDS 2014-07-27 05:55:36 UTC
Created attachment 921293 [details]
File: backtrace

Comment 2 PDS 2014-07-27 05:55:37 UTC
Created attachment 921294 [details]
File: cgroup

Comment 3 PDS 2014-07-27 05:55:39 UTC
Created attachment 921295 [details]
File: core_backtrace

Comment 4 PDS 2014-07-27 05:55:41 UTC
Created attachment 921296 [details]
File: dso_list

Comment 5 PDS 2014-07-27 05:55:42 UTC
Created attachment 921297 [details]
File: environ

Comment 6 PDS 2014-07-27 05:55:44 UTC
Created attachment 921298 [details]
File: exploitable

Comment 7 PDS 2014-07-27 05:55:46 UTC
Created attachment 921299 [details]
File: limits

Comment 8 PDS 2014-07-27 05:55:50 UTC
Created attachment 921300 [details]
File: maps

Comment 9 PDS 2014-07-27 05:55:51 UTC
Created attachment 921301 [details]
File: open_fds

Comment 10 PDS 2014-07-27 05:55:53 UTC
Created attachment 921302 [details]
File: proc_pid_status

Comment 11 PDS 2014-07-27 05:55:55 UTC
Created attachment 921303 [details]
File: var_log_messages

Comment 12 Mikhail 2014-11-05 21:23:53 UTC
This constantly happening on my system.

Comment 13 Ondrej Holy 2014-11-12 16:11:37 UTC
We know about the bug and we keep track on it, however we need a reproducer with empty metadata database. See for the detailed instruction:
https://bugzilla.redhat.com/show_bug.cgi?id=699109#c74

(In reply to Mikhail from comment #12)
> This constantly happening on my system.

Removing metadata database fixes the problem for some people, does it crashing after removing it for you?

Is your home folder on local storage? Are you running only one desktop session?

Comment 14 Ondrej Holy 2015-01-06 14:20:09 UTC
This bug will be fixed in the next upstream gvfs 1.22.3 release soon:
https://bugzilla.gnome.org/show_bug.cgi?id=598561

Comment 15 Ondrej Holy 2015-02-18 13:22:50 UTC
Unfortunately recent fixes doesn't fix it fully. If you can provide some info, please make a comment in Bug 699109.

*** This bug has been marked as a duplicate of bug 699109 ***


Note You need to log in before you can comment on or make changes to this bug.